> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get message feedback reason



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /botMetric/messageReason
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /botMetric/messageReason:
    get:
      tags:
        - BotMetric
      summary: Get message feedback reason
      parameters:
        - name: messageId
          in: query
          description: The message ID.
          style: form
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MessageReason'
            application/json:
              schema:
                $ref: '#/components/schemas/MessageReason'
            text/json:
              schema:
                $ref: '#/components/schemas/MessageReason'
components:
  schemas:
    MessageReason:
      type: object
      properties:
        reason:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````